package com.moonapps.commandroid.profiles;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.agents.Constants;

import android.content.Context;
import android.util.Log;

public class ActionWifi extends Action{


	private static final long serialVersionUID = 4192429570028166406L;



	public ActionWifi(int value) {
		super(Constants.ACTION_WIFI, value//, false, true, true
				);
	}
	
	
	
	@Override 
	public void execute(Context context){

		LogManager.print(Log.ERROR,Constants.debugTag, "ActionWifi: Wrong execute method. DataService ignored?");
	}
	
}
